Bug 161828 - misc/mc 4.7.5.5: Subshell don't save the output of the commands (ctrl+o clears the terminal)
Summary: misc/mc 4.7.5.5: Subshell don't save the output of the commands (ctrl+o clea...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-20 11:30 UTC by Serhiy
Modified: 2011-12-02 12:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serhiy 2011-10-20 11:30:09 UTC
mc-4.7.5.5:  Subshell don't save the output of the commands (ctrl+o clears the terminal)
mc-4.7.5:  All is ok!

Fix: 

mc-4.7.5 has no this problem!
How-To-Repeat:  FreeBSD 8.2 amd64
 # cd /usr/ports/misc/mc
 # make && make install && make clean
 # rehash
 # mc -V
 GNU Midnight Commander 4.7.5.5
 Built with GLib 2.28.8
 Using the S-Lang library with terminfo database
 With builtin Editor
 With subshell support as default
 With support for background operations
 With mouse support on xterm
 With internationalization support
 With multiple codepages support
 Virtual File Systems: cpiofs, tarfs, sfs, extfs, ftpfs, fish, smbfs
 Data types: char: 8; int: 32; long: 64; void *: 64; size_t: 64; off_t: 64;
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-10-20 20:38:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Fix synopsis and assign.
Comment 2 vsityz 2011-11-01 13:21:37 UTC
I have the same problem ,
it very not comfortably.

-- 
Best regards
Alexander Panyushkin
Comment 3 dfilter service freebsd_committer 2011-12-02 12:16:39 UTC
fjoe        2011-12-02 12:16:26 UTC

  FreeBSD ports repository

  Modified files:
    misc/mc              Makefile 
  Added files:
    misc/mc/files        patch-lib-tty-win.c 
  Log:
  Fix Ctrl-O in xterm: FreeBSD xterm does not define "ti" and "te" but mc
  tries to check their existence since 4.7.5.4.
  
  PR:             161828
  Feature safe:   yes
  
  Revision  Changes    Path
  1.141     +1 -1      ports/misc/mc/Makefile
  1.1       +20 -0     ports/misc/mc/files/patch-lib-tty-win.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Khon freebsd_committer 2011-12-02 12:20:17 UTC
State Changed
From-To: open->closed

FreeBSD xterm does not have "ti" and "te" capabilities defined 
(they are defined for xterm-clear on FreeBSD) but mc checks for 
their existence since 4.7.5.4. 

Fixed in 4.7.5.5_1.